#pragma once

#import "../04WebServer/Debug/04WebServer.tlb" no_namespace

class CServerControlInterface
{
public:
	CServerControlInterface(void);
	virtual ~CServerControlInterface(void);

	int LoadServerControl();
	void ReleaseControl();

	int StartServer();
	void StopServer();
	CString GetServerErrorString();
	int IsRunning();
	int IsService();
	int IsActive();
	CString GetServerInfo();
	CString GetServerSetting();
	CString GetServerContext();
	CString GetServerRoot();

protected:
	IServerControlPtr	m_serverControl;
	int					m_serverLoaded;

	void RegisterServer();
};
